Не могу установить kmail

Аватар пользователя Tovia

сабж, собственно. откуда его взять? поиск по репозитариям, по дистрибутиву - пуст. поиск говорит что это умолчательная для кде программа, однако у меня она настолько умолчательная, что даже и вомракескрытая... как же ее?

Аватар пользователя Tigro

Re: не могу установить kmail

Так прискакали, по секрету скажу, что kmail входит в пакет kdepim. Но мы так далеко не уедем, либо используйте yum (yum search kmail), либо не знаю что...

Аватар пользователя Radik

Re: не могу установить kmail

Tigro писал(а):
Так прискакали, по секрету скажу, что kmail входит в пакет kdepim.

Tovia писал(а):
поиск говорит что это умолчательная для кде программа

Если этот пакет у Вас установлен, то Вы должны отыскать его в списке установленных пакетов. Вызвать этот список можно коммандой yum list installed (вроде так пишется).

Аватар пользователя Tovia

Re: не могу установить kmail

Цитата:
Tovia пишет:
сабж, собственно. откуда его взять? поиск по репозитариям, по дистрибутиву - пуст. поиск говорит что это умолчательная для кде программа, однако у меня она настолько умолчательная, что даже и вомракескрытая... как же ее?

Спасибо, нашел.
Однако, должен сказать, что с yum`ом не все просто так. Прочитал, что kmail входит в состав kdenetwork, скачал yum`ом (58 Мб !), установил (как заверил yum), а его - нетути! Перезагрузился - нэма! Потом нашел у себя на dvd этот пакет, но малость поветше, там 3.5.1... а тут 3.5.0... Установил с диска, но уже не yum`ом, а "системные параметры-->установка/удаление приложений", и он появился. Причем, это уже не первый случай, что yum "установить выполнено", а на деле - шиш. Или руки кривы, или yum шалит. :thanks:

Аватар пользователя Meloman

Re: не могу установить kmail

Tovia писал(а):
установил (как заверил yum), а его - нетути!

То есть как это- "нетути"? В гноме, может и нету, а в kde должен быть. Ну, или, на худой конец, в гноме вызвать терминал и оттуда сказать kmail - что-то есть?

Аватар пользователя Radik

Re: не могу установить kmail

Skala писал(а):
То есть как это- "нетути"?

Согласен. А Вы апдейт yum делали? Новые версии юма стабильные...

Аватар пользователя woodoo

Re: не могу установить kmail

Tovia писал(а):
с yum`ом не все просто так. Прочитал, что kmail входит в состав kdenetwork

Это с пользователями "не все так просто" Катается от смеха

Цитата:
# yum provides bin/kmail
Searching Packages:
Setting up repositories
local_master [1/6]
local_master 100% |=========================| 951 B 00:00
contribs [2/6]
contribs 100% |=========================| 951 B 00:00
msiu.other [3/6]
msiu.other 100% |=========================| 951 B 00:00
msiu.extras [4/6]
msiu.extras 100% |=========================| 951 B 00:00
updates-released [5/6]
updates-released 100% |=========================| 951 B 00:00
local [6/6]
local 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
primary.xml.gz 100% |=========================| 231 kB 00:00
msiu.other: ################################################## 754/754
Added 14 new packages, deleted 14 old in 1.45 seconds

kdelibs.i386 6:3.5.2-2.110msiu installed
Matched from:
/usr/bin/kmailservice

kdepim.i386 6:3.5.2-1.110msiu installed
Matched from:
/usr/bin/kmail
/usr/bin/kmail_antivir.sh
/usr/bin/kmail_clamav.sh
/usr/bin/kmail_fprot.sh
/usr/bin/kmail_sav.sh
/usr/bin/kmailcvt

Куда уж проще?

Аватар пользователя Tovia

Re: не могу установить kmail

Цитата:
rrraD пишет:
А Вы апдейт yum делали? Новые версии юма стабильные...

А где узнать про апдейт yum'a? или - как его сделать?

Аватар пользователя Radik

Re: не могу установить kmail

Tovia писал(а):
А где узнать про апдейт yum'a? или - как его сделать?

В терминале введите команду yum update yum...и посмотрите что из этого получиться.
То есть может оказаться, что установленный пакет у Вас уже последней версии... Тогда есть еще вариант - подключить репозитарии от Тигры: http://updates.msiu.ru/
Обычно там пакеты много новее чем в официальном репозитарии...Но перед тем как подключать эти репозитарии, посмотрите какой версии собранный там yum.

Аватар пользователя Tovia

Re: не могу установить kmail

Цитата:
rrraD пишет:
В терминале введите команду yum update yum...и посмотрите что из этого получиться.

Получилось вот что:

[root@localhost ~]# yum update yum
Setting up Update Process
Setting up repositories
base 100% |=========================| 951 B 00:00
updates-released 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
primary.xml.gz 100% |=========================| 716 kB 00:46
base : ################################################## 2294/2294
Added 2 new packages, deleted 2 old in 4.29 seconds
primary.xml.gz 100% |=========================| 279 kB 00:17
updates-re: ################################################## 754/754
Added 291 new packages, deleted 159 old in 4.30 seconds
Could not find update match for yum
No Packages marked for Update/Obsoletion
[root@localhost ~]#

Как я понял, что-то обновилось, что-то удалилось. Но сам yum остался прежним. Как посмотреть его версию?

Цитата:
еще вариант - подключить репозитарии от Тигры: http://updates.msiu.ru/
Обычно там пакеты много новее чем в официальном репозитарии...Но перед тем как подключать эти репозитарии, посмотрите какой версии собранный там yum.

На сайте http://updates.msiu.ru/ последний yum-2.6.1-0.110msiu.noarch.rpm. Я скачал его себе на диск. Что с ним делать?

Аватар пользователя Tovia

Re: не могу установить kmail

Цитата:
Но сам yum остался прежним. Как посмотреть его версию?

Вот, номер версии нашел.

[root@localhost ~]# rpm -q yum
yum-2.4.1-1.110.1asp

Как теперь его обновить?

Аватар пользователя woodoo

Re: не могу установить kmail

Цитата:
Tovia пишет:

Цитата:
Но сам yum остался прежним. Как посмотреть его версию?

Вот, номер версии нашел.

[root@localhost ~]# rpm -q yum
yum-2.4.1-1.110.1asp

Как теперь его обновить?

Один из вариантов:

Цитата:
# rpm -U /<путь к файлу>/yum-2.4.1-1.110.1asp
Аватар пользователя Tovia

обновить yum

Цитата:
woodoo пишет:
Один из вариантов:

Цитата:
# rpm -U /<путь к файлу>/yum-2.4.1-1.110.1asp

Такого файла нет. Искал в "поиск файлов и папок", результат поиска - 0.

Аватар пользователя sergeil

Re: обновить yum

Цитата:
Tovia пишет:
# rpm -U /<путь к файлу>/yum-2.4.1-1.110.1asp

Такого файла нет. Искал в "поиск файлов и папок", результат поиска - 0.

Этот файл есть на установочных дисках. Называется yum-2.4.1-1.110.1asp.noarch.rpm
Или на сайте ftp://ftp.asplinux.ru/pub/i386/11/asplinux/ASPLinux/RPMS/yum-2.4.1-1.110...

Аватар пользователя Tovia

Re: обновить yum

Цитата:
sergeil пишет:
Этот файл есть на установочных дисках.

Так а как быть сейчас? При обновлении я его испортил, станет ли 2.4 поверх 2.6?
И как Yum установить без Yum`a?

Аватар пользователя sergeil

Re: не могу установить kmail

Tovia писал(а):
Так а как быть сейчас? При обновлении я его испортил, станет ли 2.4 поверх 2.6?

Ответ в соседнем топике... Удалить тот что есть и восстановить оригинальный...

Цитата:
И как Yum установить без Yum`a?

Yum - это надстройка над RPM....
То есть, реальные манипуляции с пакетами осуществляются через RPM

RSS-материал